<?php 
    
// =============================================================================
// File: head.php
// Version: 1.0
// 
// Indcludes codemirror library JS and CSS files and synchi CSS and JS files.
// =============================================================================

// check access
if(!defined('SYNCHI')) exit('Direct access is not allowed...'); 
    
?>

<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/codemirror.js"></script>
<link rel="stylesheet" href="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/codemirror.css" />

<script type="text/javascript">
    var synchi_theme = '<?php echo $theme; ?>';
</script>

<?php if($theme != 'default') { ?>
<link rel="stylesheet" href="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/theme/<?php echo $theme; ?>.css" />
<?php } else { ?>
<style type="text/css">
    .CodeMirror-scroll {
        background-color: #F9F9F9;
    }
</style>
<?php } ?>

<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/css.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/clike.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/javascript.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/mysql.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/php.js"></script>
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/codemirror/mode/xml.js"></script>

<link rel="stylesheet" href="<?php echo WP_PLUGIN_URL; ?>/synchi/synchi.css?version=<?php echo SYNCHI; ?>" />
<script src="<?php echo WP_PLUGIN_URL; ?>/synchi/synchi.js?version=<?php echo SYNCHI; ?>"></script>